// 首页话务数据
import request from '@/utils/request'

// 获取话务数据统计
export function getCallStatic(params) {
  return request({
    url: 'callcenterapi/api/homepage/gethwtj',
    method: 'get',
    params
  })
}

// 获取通话数据分析
export function getCallType(datetype) {
  return request({
    url: 'callcenterapi/api/homepage/gethwstatecount',
    method: 'get',
    params: {
      datetype
    }
  })
}

// 获取话务24小时统计数据
export function getCallHoursCount(datetype) {
  return request({
    url: 'callcenterapi/api/homepage/gethw24count',
    method: 'get',
    params: {
      datetype
    }
  })
}

// 获取话务排行统计数据
export function getCallLists(params) {
  return request({
    url: 'callcenterapi/api/homepage/gethwrank',
    method: 'get',
    params
  })
}
